UpdatePaymentManager
Updates an existing payment manager. This operation uses PATCH semantics, so you only need to specify the fields you want to change.
Request Syntax
PATCH /payments/managers/paymentManagerId HTTP/1.1
Content-type: application/json
{
"authorizerConfiguration": { ... },
"authorizerType": "string",
"clientToken": "string",
"description": "string",
"roleArn": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- paymentManagerId
-
The unique identifier of the payment manager to update.
Length Constraints: Minimum length of 12. Maximum length of 211.
Pattern:
([0-9a-z][-]?){1,100}-[0-9a-z]{10}Required: Yes
Request Body
The request accepts the following data in JSON format.
-
The updated authorizer configuration for the payment manager.
Type: AuthorizerConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
-
The updated authorizer type for the payment manager.
Type: String
Valid Values:
CUSTOM_JWT | AWS_IAMRequired: No
- clientToken
-
A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- description
-
The updated description of the payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
Pattern:
[a-zA-Z0-9\s]+Required: No
- roleArn
-
The updated Amazon Resource Name (ARN) of the IAM role for the payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"authorizerType": "string",
"lastUpdatedAt": "string",
"name": "string",
"paymentManagerArn": "string",
"paymentManagerId": "string",
"roleArn": "string",
"status": "string",
"workloadIdentityDetails": {
"workloadIdentityArn": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
-
The type of authorizer for the updated payment manager.
Type: String
Valid Values:
CUSTOM_JWT | AWS_IAM - lastUpdatedAt
-
The timestamp when the payment manager was last updated.
Type: Timestamp
- name
-
The name of the updated payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 48.
Pattern:
[a-zA-Z][a-zA-Z0-9]{0,47} - paymentManagerArn
-
The Amazon Resource Name (ARN) of the updated payment manager.
Type: String
Length Constraints: Minimum length of 66. Maximum length of 2048.
Pattern:
arn:(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:payment-manager/([0-9a-z][-]?){1,48}-[a-z0-9]{10} - paymentManagerId
-
The unique identifier of the updated payment manager.
Type: String
Length Constraints: Minimum length of 12. Maximum length of 211.
Pattern:
([0-9a-z][-]?){1,100}-[0-9a-z]{10} - roleArn
-
The Amazon Resource Name (ARN) of the IAM role associated with the updated payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+ - status
-
The current status of the updated payment manager. Possible values include
CREATING,READY,UPDATING,DELETING,CREATE_FAILED,UPDATE_FAILED, andDELETE_FAILED.Type: String
Valid Values:
CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED - workloadIdentityDetails
-
The information about the workload identity.
Type: WorkloadIdentityDetails object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ServiceQuotaExceededException
-
This exception is thrown when a request is made beyond the service quota
HTTP Status Code: 402
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: